LOCATE(1)

NAME
locate - find files

SYNOPSIS
locate pattern

DESCRIPTION
Locate searches a database for all pathnames which match the specified pattern. The database is recomputed periodically, and contains the pathnames of all files which are publicly accessible.

Shell globbing and quoting characters (``*'', ``?'', ``\'', ``['' and ``]'') may be used in pattern, although they will have to be escaped from the shell. Preceding any character with a backslash (``\'') eliminates any special meaning which it may have. The matching differs in that no characters must be matched explicitly, including slashes (``/'').

As a special case, a pattern containing no globbing characters (``foo'') is matched as though it were ``*foo*''.

FILES
/var/db/locate.database

SEE ALSO
find(1), fnmatch(3) Woods, James A., 1983, Finding Files Fast, ;login, 8:1, pp. 8-10.

HISTORY
The locate command appears in 4.4BSD.